package com.yinet.yyqh.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 网上预约取号列表对象 yyqh
 *
 * @author yinet
 * @date 2019-09-02
 */
public class Yyqh extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String yyqhId;

    /**
     * 1企业设立 2企业变更注销 3个体
     */
    private Long guidanceId;
    /**
     * 预约人姓名
     */
    @Excel(name = "预约人姓名")
    private String applyForName;
    /**
     * 身份证号
     */
    @Excel(name = "身份证号")
    private String idNum;
    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phongNum;

    @Excel(name = "预约事项")
    private String guidanceName;
    /**
     * 时间段
     */
    @Excel(name = "预约日期", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date bookedDay;
    /**
     * 时间段
     */
    @Excel(name = "预约时间段")
    private String bookedTime;

    @Excel(name = "状态", readConverterExp = "1=未取号,2=已取号")
    private String status;
    /**
     * 记录提交时间
     */
    @Excel(name = "记录提交时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 取号时间
     */
    @Excel(name = "取号时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date tickNumDate;

    public String getYyqhId() {
        return yyqhId;
    }

    public void setYyqhId(String yyqhId) {
        this.yyqhId = yyqhId;
    }

    public Long getGuidanceId() {
        return guidanceId;
    }

    public void setGuidanceId(Long guidanceId) {
        this.guidanceId = guidanceId;
    }

    public String getApplyForName() {
        return applyForName;
    }

    public void setApplyForName(String applyForName) {
        this.applyForName = applyForName;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getPhongNum() {
        return phongNum;
    }

    public void setPhongNum(String phongNum) {
        this.phongNum = phongNum;
    }

    public Date getBookedDay() {
        return bookedDay;
    }

    public void setBookedDay(Date bookedDay) {
        this.bookedDay = bookedDay;
    }

    public String getBookedTime() {
        return bookedTime;
    }

    public void setBookedTime(String bookedTime) {
        this.bookedTime = bookedTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public String getGuidanceName() {
        return guidanceName;
    }

    public void setGuidanceName(String guidanceName) {
        this.guidanceName = guidanceName;
    }

    public Date getTickNumDate() {
        return tickNumDate;
    }

    public void setTickNumDate(Date tickNumDate) {
        this.tickNumDate = tickNumDate;
    }
}
